> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request repayment of a P32 surplus



## OpenAPI

````yaml /api-reference/preview.json post /gb/organizations/{organization_id}/p32/{tax_year}/{tax_month}/request-repayment
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/p32/{tax_year}/{tax_month}/request-repayment:
    post:
      tags:
        - Great Britain
        - P32
      summary: Request repayment of a P32 surplus
      operationId: >-
        request_repayment_gb_organizations__organization_id__p32__tax_year___tax_month__request_repayment_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: tax_year
          in: path
          required: true
          schema:
            type: integer
            title: Tax Year
        - name: tax_month
          in: path
          required: true
          schema:
            type: integer
            maximum: 12
            minimum: 1
            title: Tax Month
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RepaymentRequestBody'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepaymentRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    RepaymentRequestBody:
      properties:
        amount_requested:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Requested
      type: object
      required:
        - amount_requested
      title: RepaymentRequestBody
    RepaymentRequestResponse:
      properties:
        id:
          type: string
          title: Id
        employer_id:
          type: string
          title: Employer Id
        tax_year:
          type: integer
          title: Tax Year
        tax_month:
          type: integer
          title: Tax Month
        amount_requested:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Requested
        status:
          $ref: '#/components/schemas/P32RepaymentStatus'
        requested_at:
          type: string
          format: date-time
          title: Requested At
      additionalProperties: true
      type: object
      required:
        - id
        - employer_id
        - tax_year
        - tax_month
        - amount_requested
        - status
        - requested_at
      title: RepaymentRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    P32RepaymentStatus:
      type: string
      enum:
        - pending
        - confirmed
        - rejected
      title: P32RepaymentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````